<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tower Attack: CScoreMenu Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tower Attack
   </div>
   <div id="projectbrief">A simple console game</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classCScoreMenu-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">CScoreMenu Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Show score menu.  
 <a href="classCScoreMenu.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="menu_8h_source.html">menu.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for CScoreMenu:</div>
<div class="dyncontent">
<div class="center"><img src="classCScoreMenu__inherit__graph.png" border="0" usemap="#CScoreMenu_inherit__map" alt="Inheritance graph"/></div>
<map name="CScoreMenu_inherit__map" id="CScoreMenu_inherit__map">
<area shape="rect" id="node2" href="classCMenu.html" title="Menu class Abstract class with a basic set of methods to draw parts of menu. " alt="" coords="23,5,87,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for CScoreMenu:</div>
<div class="dyncontent">
<div class="center"><img src="classCScoreMenu__coll__graph.png" border="0" usemap="#CScoreMenu_coll__map" alt="Collaboration graph"/></div>
<map name="CScoreMenu_coll__map" id="CScoreMenu_coll__map">
<area shape="rect" id="node2" href="classCMenu.html" title="Menu class Abstract class with a basic set of methods to draw parts of menu. " alt="" coords="23,5,87,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5d4ab6433d80e9f012cad06582eada17"><td class="memItemLeft" align="right" valign="top"><a id="a5d4ab6433d80e9f012cad06582eada17"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCScoreMenu.html#a5d4ab6433d80e9f012cad06582eada17">show</a> () const override</td></tr>
<tr class="memdesc:a5d4ab6433d80e9f012cad06582eada17"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints scores screen. <br /></td></tr>
<tr class="separator:a5d4ab6433d80e9f012cad06582eada17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classCMenu"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classCMenu')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classCMenu.html">CMenu</a></td></tr>
<tr class="memitem:a99c5d916a13d9b537322760b0cc507bb inherit pub_methods_classCMenu"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classCMenu.html">CMenu</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMenu.html#a99c5d916a13d9b537322760b0cc507bb">selectOption</a> ()</td></tr>
<tr class="memdesc:a99c5d916a13d9b537322760b0cc507bb inherit pub_methods_classCMenu"><td class="mdescLeft">&#160;</td><td class="mdescRight">Processes input from user, default menu selection tool, only quit to main menu is available.  <a href="classCMenu.html#a99c5d916a13d9b537322760b0cc507bb">More...</a><br /></td></tr>
<tr class="separator:a99c5d916a13d9b537322760b0cc507bb inherit pub_methods_classCMenu"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classCMenu"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classCMenu')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classCMenu.html">CMenu</a></td></tr>
<tr class="memitem:a9bb1df6a44815e4f39d7adcdb2cbaac2 inherit pro_methods_classCMenu"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMenu.html#a9bb1df6a44815e4f39d7adcdb2cbaac2">readInput</a> (void) const</td></tr>
<tr class="memdesc:a9bb1df6a44815e4f39d7adcdb2cbaac2 inherit pro_methods_classCMenu"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads input from user, if read fails, exception is thrown.  <a href="classCMenu.html#a9bb1df6a44815e4f39d7adcdb2cbaac2">More...</a><br /></td></tr>
<tr class="separator:a9bb1df6a44815e4f39d7adcdb2cbaac2 inherit pro_methods_classCMenu"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3957f935a8f7c9394521e9731e9194b inherit pro_methods_classCMenu"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMenu.html#ab3957f935a8f7c9394521e9731e9194b">printError</a> (const string &amp;error) const</td></tr>
<tr class="memdesc:ab3957f935a8f7c9394521e9731e9194b inherit pro_methods_classCMenu"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints whole screen of DEFAULTHEIGHT x DEFAULTWIDTH size, with error message in the middle.  <a href="classCMenu.html#ab3957f935a8f7c9394521e9731e9194b">More...</a><br /></td></tr>
<tr class="separator:ab3957f935a8f7c9394521e9731e9194b inherit pro_methods_classCMenu"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a547f525ceec932b4ad056495725ec5c5 inherit pro_methods_classCMenu"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMenu.html#a547f525ceec932b4ad056495725ec5c5">printEmptyLine</a> (int lines=1) const</td></tr>
<tr class="memdesc:a547f525ceec932b4ad056495725ec5c5 inherit pro_methods_classCMenu"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints x empty lines with borders, size of each line is DEFAULTWIDTH.  <a href="classCMenu.html#a547f525ceec932b4ad056495725ec5c5">More...</a><br /></td></tr>
<tr class="separator:a547f525ceec932b4ad056495725ec5c5 inherit pro_methods_classCMenu"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc047ee1ef45b1ce2c1b1718eb5dac59 inherit pro_methods_classCMenu"><td class="memItemLeft" align="right" valign="top"><a id="adc047ee1ef45b1ce2c1b1718eb5dac59"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMenu.html#adc047ee1ef45b1ce2c1b1718eb5dac59">printBorder</a> () const</td></tr>
<tr class="memdesc:adc047ee1ef45b1ce2c1b1718eb5dac59 inherit pro_methods_classCMenu"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints border consisting of symbol '*' DEFAULTWIDTH symbols long. <br /></td></tr>
<tr class="separator:adc047ee1ef45b1ce2c1b1718eb5dac59 inherit pro_methods_classCMenu"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab51557914817fb31b152b02f2719158e inherit pro_methods_classCMenu"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMenu.html#ab51557914817fb31b152b02f2719158e">printString</a> (const string &amp;str, int position=CENTER) const</td></tr>
<tr class="memdesc:ab51557914817fb31b152b02f2719158e inherit pro_methods_classCMenu"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints string to the position given by parameter, string is surrounded by menu border, e.g.  <a href="classCMenu.html#ab51557914817fb31b152b02f2719158e">More...</a><br /></td></tr>
<tr class="separator:ab51557914817fb31b152b02f2719158e inherit pro_methods_classCMenu"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cd0faa7ac7f37b630d3eb3355262db9 inherit pro_methods_classCMenu"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMenu.html#a5cd0faa7ac7f37b630d3eb3355262db9">middleLine</a> (const string &amp;line) const</td></tr>
<tr class="memdesc:a5cd0faa7ac7f37b630d3eb3355262db9 inherit pro_methods_classCMenu"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints whole screen of DEFAULTHEIGHT x DEFAULTWIDTH size, with message in the middle and quit info at the end.  <a href="classCMenu.html#a5cd0faa7ac7f37b630d3eb3355262db9">More...</a><br /></td></tr>
<tr class="separator:a5cd0faa7ac7f37b630d3eb3355262db9 inherit pro_methods_classCMenu"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aace1e821e272a338d37208d2580479f1 inherit pro_methods_classCMenu"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMenu.html#aace1e821e272a338d37208d2580479f1">printFolderMenu</a> (const string &amp;folder) const</td></tr>
<tr class="memdesc:aace1e821e272a338d37208d2580479f1 inherit pro_methods_classCMenu"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints menu screen with folder content given by parameter.  <a href="classCMenu.html#aace1e821e272a338d37208d2580479f1">More...</a><br /></td></tr>
<tr class="separator:aace1e821e272a338d37208d2580479f1 inherit pro_methods_classCMenu"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc5a810d4fa05da3f83f992542b0e76c inherit pro_methods_classCMenu"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classCMenu.html">CMenu</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMenu.html#adc5a810d4fa05da3f83f992542b0e76c">playGame</a> (<a class="el" href="classCGame.html">CGame</a> &amp;game)</td></tr>
<tr class="memdesc:adc5a810d4fa05da3f83f992542b0e76c inherit pro_methods_classCMenu"><td class="mdescLeft">&#160;</td><td class="mdescRight">Starts loaded game.  <a href="classCMenu.html#adc5a810d4fa05da3f83f992542b0e76c">More...</a><br /></td></tr>
<tr class="separator:adc5a810d4fa05da3f83f992542b0e76c inherit pro_methods_classCMenu"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4758e62ae038c08a95e6c86692b0865e inherit pro_methods_classCMenu"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMenu.html#a4758e62ae038c08a95e6c86692b0865e">printFolder</a> (const string &amp;folder) const</td></tr>
<tr class="memdesc:a4758e62ae038c08a95e6c86692b0865e inherit pro_methods_classCMenu"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints content of folder given by parameter, each file / subfolder is separated by empty line left and right boders are printed along both sides.  <a href="classCMenu.html#a4758e62ae038c08a95e6c86692b0865e">More...</a><br /></td></tr>
<tr class="separator:a4758e62ae038c08a95e6c86692b0865e inherit pro_methods_classCMenu"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31c7dffc1ac1246900b4b4dde1cb303e inherit pro_methods_classCMenu"><td class="memItemLeft" align="right" valign="top">vector&lt; string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCMenu.html#a31c7dffc1ac1246900b4b4dde1cb303e">loadFolder</a> (const string &amp;folder) const</td></tr>
<tr class="memdesc:a31c7dffc1ac1246900b4b4dde1cb303e inherit pro_methods_classCMenu"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads folder, returns vector of filenames.  <a href="classCMenu.html#a31c7dffc1ac1246900b4b4dde1cb303e">More...</a><br /></td></tr>
<tr class="separator:a31c7dffc1ac1246900b4b4dde1cb303e inherit pro_methods_classCMenu"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Show score menu. </p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="menu_8h_source.html">menu.h</a></li>
<li>menu.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
